Bug 1302923 - Show Password option gone from NetworkManager
Show Password option gone from NetworkManager
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-nm (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
: Reopened
: 1322873 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 20:10 EST by Josh Berkus
Modified: 2016-12-20 13:16 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:16:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Snapshot with no eye icon (29.92 KB, image/png)
2016-07-28 14:52 EDT, Eugene Saenko
no flags Details
screenshot with eye icon (21.29 KB, image/png)
2016-07-28 15:03 EDT, Rex Dieter
no flags Details

  None (edit)
Description Josh Berkus 2016-01-28 20:10:38 EST
Description of problem:

The "show password" option for wifi connection WPA passwords is gone from the NetworkManager pop-up dialog.  This is problematic when users are required to use passwords consisting of random characters or long hexidecimal strings; typing such passwords blind is very difficult.  It also makes it difficult for new users to debug wifi connection issues.


Version-Release number of selected component (if applicable):

Unknown

How reproducible:

100%

Steps to Reproduce:
1. Connect to a new wifi network protected by a WPA password
2. Password dialog pops up

Actual results:

3. There is no "show password" option checkbox


Expected results:

3. There should be a "show password" option checkbox.


Additional info:

Note that there was such an option in Gnome2.
Comment 1 Eugene Saenko 2016-03-30 07:32:46 EDT
I confirm that absence of this option brings a large inconvenience. Especially when using complex passwords.
Comment 2 Beniamino Galvani 2016-03-30 16:44:38 EDT
The Gnome network configuration UI is not part of NM, reassigning the bug to gnome-shell.
Comment 3 Eugene Saenko 2016-03-31 03:05:37 EDT
I don't usee Gnome, I use KDE.
But problem is the same. I think this is the NetworkManager feature.
Comment 4 Florian Müllner 2016-03-31 07:07:09 EDT
(In reply to Josh Berkus from comment #0)
> Actual results:
> 
> 3. There is no "show password" option checkbox

There should be a "Show Text" action in the entry's right-click menu. Isn't that working?
Comment 5 Eugene Saenko 2016-03-31 07:22:23 EDT
(In reply to Florian Müllner from comment #4)
> There should be a "Show Text" action in the entry's right-click menu. Isn't
> that working?

In KDE (Plasma desktop) "Right click" gives options:

Undo
Redo
Cut
Copy
Paste
Delete
Clean
Select All
Comment 6 Florian Müllner 2016-03-31 07:25:07 EDT
(In reply to Eugene Saenko from comment #5)
> (In reply to Florian Müllner from comment #4)
> > There should be a "Show Text" action in the entry's right-click menu. Isn't
> > that working?
> 
> In KDE (Plasma desktop) "Right click" gives options

My comment referred to the UI in gnome-shell.
Comment 7 Eugene Saenko 2016-03-31 07:57:05 EDT
> My comment referred to the UI in gnome-shell.

And for KDE I have to open the new bugreport?
Comment 8 Florian Müllner 2016-03-31 11:35:13 EDT
(In reply to Eugene Saenko from comment #7)
> > My comment referred to the UI in gnome-shell.
> 
> And for KDE I have to open the new bugreport?

Yes. I don't know which component implements the network agent in Plasma, but it's obviously not gnome-shell.
Comment 9 Eugene Saenko 2016-03-31 11:47:44 EDT
(In reply to Florian Müllner from comment #8)
> > And for KDE I have to open the new bugreport?
> 
> Yes. I don't know which component implements the network agent in Plasma,
> but it's obviously not gnome-shell.

Added BugReport 1322873
Comment 10 Blueowl 2016-07-27 15:51:07 EDT
This is apparently a problem in KDE NM applet. Re-assigning to plasma-nm component.
Comment 11 Blueowl 2016-07-27 15:51:40 EDT
*** Bug 1322873 has been marked as a duplicate of this bug. ***
Comment 12 Jan Grulich 2016-07-28 01:09:57 EDT
In KDE NM applet there is an eye icon on the right side of each password field which will show/hide the password for you.
Comment 13 Josh Berkus 2016-07-28 12:48:48 EDT
Confirmed that "Show Text" exists in Gnome version.
Comment 14 Rex Dieter 2016-07-28 12:57:49 EDT
and I confirmed comment #12 , that the password fields kde5-nm-connection-editor has an eye icon to show passwords
Comment 15 Eugene Saenko 2016-07-28 14:52 EDT
Created attachment 1185253 [details]
Snapshot with no eye icon

I have: 

[root@ses-new ~]# cat /etc/redhat-release 
Fedora release 23 (Twenty Three)
[root@ses-new ~]# dnf list plasma-nm
Installed Packages
plasma-nm.i686                                             5.7.1-1.fc23                                              @updates

and have no eye icon
Comment 16 Rex Dieter 2016-07-28 14:59:45 EDT
What icon theme are you using?  That doesn't appear to be default breeze.

Maybe it's simply a missing icon.

If that's the case, try clicking in some of the empty space immediately to the left of the save icon (on the far right).
Comment 17 Rex Dieter 2016-07-28 15:03 EDT
Created attachment 1185255 [details]
screenshot with eye icon

What is is *supposed* to look like
Comment 18 Eugene Saenko 2016-07-28 15:38:21 EDT
Rex, you are right. When click on white space left to the Save icon I see my password.

Thank you.
The question is closed.
Comment 19 Rex Dieter 2016-07-31 20:05:41 EDT
What icon theme are you using? and for completeness, what widget style, in case that's relevant too.
Comment 20 Eugene Saenko 2016-08-01 01:57:21 EDT
Icon theme:   Adwaita
Widget style: Breeze


Gnome/GTK engine:
GTK2 theme:     oxygen-gtk
GTK3 theme:     Default
Cursor theme:   Breeze
Icon theme:     Crux
Fallback Theme: Crystal SVG
Comment 21 Fedora End Of Life 2016-11-24 10:15:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2016-12-20 13:16:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.